de.esprit.netsuite.netdata.event

## Class ServerNotificationMessage

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.event.ServerNotificationMessage

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    ServerErrorMessage, ServerInfoMessage, ServerWarningMessage

      public abstract class ServerNotificationMessage
      extends TransferableObject

  This event is sent by the server to notify about server alarms
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ServerNotificationMessage(java.lang.Exception exc, NlsKey messageKey)`
    `protected` | `ServerNotificationMessage(java.lang.Exception exc, NlsKey messageKey, java.lang.Object... args)`
    `protected` | `ServerNotificationMessage(MessageDialogType msgType, NlsKey messageKey)`
    `` | `ServerNotificationMessage(MessageDialogType msgType, NlsKey messageKey, java.lang.Object... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getError()`
    `java.lang.String` | `getMessage()`
    `MessageDialogType` | `getMessageDialogType()`
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerNotificationMessage

          protected ServerNotificationMessage(java.lang.Exception exc,
                                   NlsKey messageKey)

    - #### ServerNotificationMessage

          protected ServerNotificationMessage(java.lang.Exception exc,
                                   NlsKey messageKey,
                                   java.lang.Object... args)

    - #### ServerNotificationMessage

          protected ServerNotificationMessage(MessageDialogType msgType,
                                   NlsKey messageKey)

    - #### ServerNotificationMessage

          public ServerNotificationMessage(MessageDialogType msgType,
                                   NlsKey messageKey,
                                   java.lang.Object... args)

  - ### Method Detail

    - #### getError

          public java.lang.Exception getError()

    - #### getMessage

          public java.lang.String getMessage()

    - #### getMessageDialogType

          public MessageDialogType getMessageDialogType()

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.